%define major 6
%define libxau %mklibname xau %{major}
%define devxau %mklibname xau -d

Name: libxau
Summary: X authorization file management library
Version: 1.0.8
Release: %mkrel 7
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXau-%{version}.tar.bz2
Patch0: libxau-visibility.patch

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X authorization file management library

#-----------------------------------------------------------

%package -n %{libxau}
Summary: X authorization file management library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxau}
X authorization file management library

%files -n %{libxau}
%{_libdir}/libXau.so.%{major}
%{_libdir}/libXau.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxau}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxau} = %{version}-%{release}
Provides: libxau-devel = %{version}-%{release}
Obsoletes: %{_lib}xau6-devel < 1.0.8-2
Obsoletes: %{_lib}xau6-static-devel < 1.0.8-2

%description -n %{devxau}
Development files for %{name}

%pre -n %{devxau}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{devxau}
%{_libdir}/pkgconfig/xau.pc
%{_includedir}/X11/Xauth.h
%{_libdir}/libXau.so
%{_mandir}/man3/Xau*

#-----------------------------------------------------------

%prep
%setup -q -n libXau-%{version}

%autopatch -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%makeinstall_std

find %{buildroot} -name "*.la" -delete




%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1.0.8-7.mga6
+ Revision: 955998
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 1.0.8-6.mga6
+ Revision: 867773
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-5.mga5
+ Revision: 748879
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 681866
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-3.mga4
+ Revision: 532718
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.0.8-2.mga4
+ Revision: 469457
- drop major from devel pkg name
- drop unneeded requires
- drop old Mdv era conflicts
- drop static devel pkg

* Sun May 26 2013 tv <tv> 1.0.8-1.mga4
+ Revision: 427780
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 358509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.0.7-1.mga2
+ Revision: 222214
- new release

* Tue Mar 06 2012 alien <alien> 1.0.6-4.mga2
+ Revision: 219647
- rebuild for missing package lib64xau6

* Tue Mar 06 2012 fwang <fwang> 1.0.6-3.mga2
+ Revision: 219594
- rebuild for missing package

* Tue Nov 29 2011 colin <colin> 1.0.6-2.mga2
+ Revision: 174148
- Strip .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.6-1.mga1
+ Revision: 6291
- imported package libxau


* Wed Jul 21 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-1mdv2011.0
+ Revision: 556460
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-2mdv2010.1
+ Revision: 520958
- rebuilt for 2010.1

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 422875
- new release

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 276516
- new release

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-6mdv2009.0
+ Revision: 264970
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-5mdv2009.0
+ Revision: 214365
- Rebuild to match corrections in xtrans.
- Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-4mdv2008.1
+ Revision: 151457
- Update BuildRequires and rebuild.
- Err, use "noop" the patch.
- This is a "noop" patch. But it can be considered a list of the functions,
  code from X Server uses from libXau, at a later stage, this library can be
  changed to make available only the public symbols.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.0
+ Revision: 121716
- new release

* Thu Aug 03 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.2-1mdv2007.0
+ Revision: 42984
- new upstream release(1.0.2):
  * Minor cleanup release - added hooks for checking code with lint & sparse,
  and cleaned up several warnings from each.
- rebuild to fix cooker uploading
- X11R7.1
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

